import 'package:test/test.dart';

import '../lib/measures.dart';
import '../lib/src/constants.dart';

void main() {
  test('test Time routines', () {
    final time = Time.fromMinutes(15);
    expect(time.min, 15.0);
    expect(time.sec, 900.0);
    expect(time.hrs, 0.25);
  });
  test('test Distance routines', () {
    final dist = Distance.fromMetres(926);
    expect(dist.m, 926.0);
    expect(dist.nm, 0.5);
    expect(dist.km, 0.926);
  });
  test('test Altitude routines', () {
    final alt = Altitude.fromMetres(3048);
    expect(alt.m, 3048.0);
    expect(alt.ft, 10000.0);
    expect(alt.FL, 100.0);
  });
  test('test Angle routines', () {
    final angle = Angle.fromDeg(270);
    expect(angle.deg, -90.0);
    expect(angle.rad, -pi * 0.5);
  });
  test('test Azimuth routines', () {
    final azm = Azimuth.fromDeg(450);
    expect(azm.deg, 90.0);
    expect(azm.rad, pi * 0.5);
  });
  test('test Mass routines', () {
    final mass = Mass.fromKg(4);
    expect(mass.gr, 4000.0);
    expect(mass.tons, 0.004);
  });
  test('test Pressure routines', () {
    final pressure = Pressure.fromAtm(1);
    expect(pressure.hPa, 1013.25);
    expect(pressure.mmHg, 760.0);
  });
  test('test Speed routines', () {
    final speed = Speed.fromKmh(36);
    expect(speed.ms, 10.0);
    expect(speed.kt, 36 / 1.852);
  });
  test('test Temperature routines', () {
    final temp = Temperature.fromCelsius(0);
    expect(temp.kelvin, 273.15);
    expect(temp.fahrenheit, 32.0);
  });
}
